<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>
	
	<xsl:template match="NOTIFICATIONS">
		<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
			<tr>
				<td class="title-block">
					<xsl:call-template name="LABEL" mode="label">
						<xsl:with-param name="title" select="/SITEBUILDER-PAGE/LOCALE/ESHOP-OWNER-EMAIL"/>
					</xsl:call-template>
				</td>
				<td class="input-block">
					<xsl:call-template name="INPUT" mode="control">
						<xsl:with-param name="name">ownerEmail</xsl:with-param>
						<xsl:with-param name="onchange">self.sbApplyChangesObject.registerChange()</xsl:with-param>
						<xsl:with-param name="value" select="@OWNER-EMAIL"/>
					</xsl:call-template>
				</td>
			</tr>
			<tr>
				<td class="title-block">
					<xsl:call-template name="LABEL" mode="label">
						<xsl:with-param name="title" select="/SITEBUILDER-PAGE/LOCALE/ORDER-EMAIL-SUBJECT"/>
					</xsl:call-template>
				</td>
				<td class="input-block">
					<xsl:call-template name="INPUT" mode="control">
						<xsl:with-param name="name">subject</xsl:with-param>
						<xsl:with-param name="onchange">self.sbApplyChangesObject.registerChange()</xsl:with-param>
						<xsl:with-param name="value" select="@SUBJECT"/>
					</xsl:call-template>
				</td>
			</tr>
		</table>
		
		<div style="width: 0; height: 5px;"><span></span></div>
		
		<xsl:call-template name="LABEL" mode="label">
			<xsl:with-param name="title" select="/SITEBUILDER-PAGE/LOCALE/ORDER-EMAIL-MESSAGE"/>
		</xsl:call-template><br/>
		<xsl:apply-templates select="WYSIWYG">
			<xsl:with-param name="id"><xsl:value-of select="WYSIWYG/@NAME"/></xsl:with-param>
		</xsl:apply-templates>
	</xsl:template>
	
	<xsl:template match="WYSIWYG[@MODE='eshopNotification']">
		<xsl:param name="id" />
		<xsl:variable name="Wysiwyg">
			<xsl:text>Wysiwyg_</xsl:text><xsl:value-of select="$id"/>
		</xsl:variable>
		<xsl:variable name="WysiwygIniter">
			<xsl:text>Init_</xsl:text>
			<xsl:value-of select="$Wysiwyg"/>
		</xsl:variable>
		<script type="text/javascript" src="/js/Modules/Wysiwyg/fckeditor.js?{$version}.{$build}"></script>
		<script language="JavaScript" type="text/javascript">
		 	function <xsl:value-of select="$WysiwygIniter"/>() {
		 		if (!<xsl:value-of select="$Wysiwyg"/>) {
		 		<xsl:value-of select="$Wysiwyg"/>=new FCKeditor('<xsl:value-of select="$Wysiwyg"/>');
		 			<xsl:value-of select="$Wysiwyg"/>.BasePath = '/js/Modules/Wysiwyg/';
		 			<xsl:value-of select="$Wysiwyg"/>.Config["CustomConfigurationsPath"] ="/js/Modules/Wysiwyg/config/EshopNotification.js?<xsl:value-of select="$version"/>.<xsl:value-of select="$build"/>";
					<xsl:value-of select="$Wysiwyg"/>.ToolbarSet="admin";
					<xsl:value-of select="$Wysiwyg"/>.EditorFile="";
					<xsl:value-of select="$Wysiwyg"/>.Config["Version"]="<xsl:value-of select="$version"/>.<xsl:value-of select="$build"/>";
					<xsl:value-of select="$Wysiwyg"/>.ReplaceTextarea();
				}
			}
			<xsl:value-of select="$Wysiwyg"/>=null;
			<xsl:call-template name="CUSTOM-SCRIPT">
				<xsl:with-param name="Initer"><xsl:value-of select="$WysiwygIniter"/></xsl:with-param>
			</xsl:call-template>
		</script>
		<textarea id="{$Wysiwyg}" name="{@NAME}" style="border-width: 0px;"><xsl:value-of select="CONTENT"/></textarea>
	</xsl:template>		
	
	</xsl:stylesheet>	