<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>

	<xsl:template match="FLASH-PAGE">
		<script type="text/javascript" src="/modules/FlashIntro/js/settings.js?{$version}.{$build}"></script>
		<input type="hidden" id="{@INPUT-NAME}" name="{@INPUT-NAME}" value="{SETTINGS/TOOLBAR[@ID='designs']/TOOLBAR-FIELD/PREVIEW/FLASH-CONTROL[@SELECTED='yes']/@CODE}"/>
		<script type="text/javascript" language="javascript">
			<xsl:comment>
				window.sbFlashListObject = new SbFlashList('<xsl:value-of select="@INPUT-NAME"/>');
			//</xsl:comment>
		</script>
		<xsl:apply-templates select="SETTINGS"/>
	</xsl:template>

	<xsl:template match="FLASH-PAGE/SETTINGS">
		<xsl:apply-templates select="TOOLBAR[@ID='designs']"/>
		<xsl:apply-templates select="TOOLBAR[@ID='settings']"/>
		<xsl:apply-templates select="TOOLBAR[@ID='preview']"/>
	</xsl:template>

	<xsl:template match="TOOLBAR/TOOLBAR-FIELD">
		<xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="TOOLBAR[@ID='designs']/TOOLBAR-FIELD/PREVIEW">
		<span style="display:inline-block;width:100%;">
			<script type="text/javascript" language="javascript">
				var item;
				<xsl:apply-templates select="FLASH-CONTROL" mode="init"/>
			</script>
			<xsl:apply-templates select="FLASH-CONTROL"/>
		</span>
	</xsl:template>
	
	<xsl:template match="FLASH-CONTROL" mode="init">
		item = new SbFlashItem('<xsl:value-of select="@CODE"/>');
		<xsl:apply-templates select="BACKGROUND" mode="init"/>
		<xsl:apply-templates select="SCHEME" mode="init"/>
		item.SetBinaryUrl('<xsl:value-of select="BINARY/@VALUE"/>');
		window.sbFlashListObject.AddFlash(item);
	</xsl:template>

	<xsl:template match="FLASH-CONTROL/BACKGROUND" mode="init">
		item.AddBackground('<xsl:value-of select="@CODE"/>', '<xsl:value-of select="@TITLE"/>');
	</xsl:template>

	<xsl:template match="FLASH-CONTROL/SCHEME" mode="init">
		item.AddScheme('<xsl:value-of select="@CODE"/>', '<xsl:value-of select="@TITLE"/>');
	</xsl:template>

	<xsl:template match="FLASH-CONTROL" name="FLASH-CONTROL">
		<span style="float: left; width: 112px;">
			<div id="Flash{@CODE}Border" style="padding: 5px; background-color: #ffffff; border: solid 1px #ffffff;">
				<input type="image" name="{@CODE}" src="{@SOURCE}" onclick="window.sbFlashListObject.Select('{@CODE}'); return false;" style="width:100px;border-width:0px;" />
			</div>
		</span>
	</xsl:template>

	<xsl:template match="FLASH-CONTROL[@SELECTED='yes']">
		<xsl:call-template name="FLASH-CONTROL"/>
		<script type="text/javascript" language="javascript">
			window.sbFlashListObject.Init('<xsl:value-of select="@CODE"/>');
		</script>
	</xsl:template>

	<xsl:template match="TOOLBAR[@ID='settings']/TOOLBAR-FIELD/SETTINGS">
		<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
			<xsl:call-template name="FLASH-INTRO-ROW">
				<xsl:with-param name="name">header_text</xsl:with-param>
				<xsl:with-param name="onchange">self.sbApplyChangesObject.registerChange();</xsl:with-param>
				<xsl:with-param name="onblur">window.sbFlashListObject.ShowCurrentFlash();</xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="FLASH-INTRO-ROW">
				<xsl:with-param name="name">body_text</xsl:with-param>
				<xsl:with-param name="onchange">self.sbApplyChangesObject.registerChange();</xsl:with-param>
				<xsl:with-param name="onblur">window.sbFlashListObject.ShowCurrentFlash();</xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="FLASH-INTRO-ROW">
				<xsl:with-param name="name">flash_background</xsl:with-param>
				<xsl:with-param name="onchange">window.sbFlashListObject.ShowCurrentFlash(); self.sbApplyChangesObject.registerChange();</xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="FLASH-INTRO-ROW">
				<xsl:with-param name="name">flash_scheme</xsl:with-param>
				<xsl:with-param name="onchange">window.sbFlashListObject.ShowCurrentFlash(); self.sbApplyChangesObject.registerChange();</xsl:with-param>
			</xsl:call-template>
		</table>
	</xsl:template>
	
	<xsl:template name="FLASH-INTRO-ROW">
		<xsl:param name="name"/>
		<xsl:param name="onblur"/>
		<xsl:param name="onchange"/>
		
		<tr>
			<td class="title-block">
				<xsl:apply-templates select="CONTROL[@NAME=$name]" mode="label"/>
			</td>
			<td class="input-block">
				<xsl:apply-templates select="CONTROL[@NAME=$name]" mode="control">
					<xsl:with-param name="onblur" select="$onblur"/>
					<xsl:with-param name="onchange" select="$onchange"/>
				</xsl:apply-templates>
			</td>
		</tr>		
	</xsl:template>
	
	<xsl:template match="TOOLBAR[@ID='preview']/TOOLBAR-FIELD/FLASH">
		<div id="{@ID}Container"/>
		<script type="text/javascript" language="javascript">
			<xsl:comment>
				window.sbFlashListObject.InitCurrentFlash('<xsl:value-of select="@ID"/>');
			//</xsl:comment>
		</script>
	</xsl:template>

</xsl:stylesheet>	