<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>

	<xsl:template match="FORUM">
		<input type="hidden" name="tab" value="content"/>
		<input type="hidden" name="pageNum" value=""/>
		<input type="hidden" name="pageSize" value=""/>
		<input type="hidden" name="orderBy" value=""/>
		<input type="hidden" name="orderType" value=""/>
		<xsl:apply-templates select="TAB-PANEL"/>
	</xsl:template>

	<xsl:template match="FORUM-CONTENT|FORUM-CATEGORIES">
		<xsl:apply-templates select="TOOLBAR"/>
		<xsl:apply-templates select="PAGED-LIST"/>
	</xsl:template>

	<xsl:template match="FORUM-SETTINGS">
		<script type="text/javascript" src="/modules/Forum/js/Edit.js?{$version}.{$build}"></script>
		<script type="text/javascript">document.forms.SB_WizardForm.submit=ForumSubmitSettings;</script>
		
		<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
			<xsl:for-each select="CONTROL[@TYPE='INPUT']">
				<tr>
					<td class="title-block">
						<xsl:apply-templates select="." mode="label"/>
					</td>
					<td class="input-block">
						<xsl:apply-templates select="." mode="control">
							<xsl:with-param name="onchange">self.sbApplyChangesObject.registerChange();</xsl:with-param>
						</xsl:apply-templates>
					</td>
				</tr>
			</xsl:for-each>
		</table>
		
		<script type="text/javascript">
			<xsl:apply-templates select="CONTROL[@TYPE='INPUT']" mode="registerFields">
				<xsl:with-param name="card" select="ancestor::TAB-PANEL-CARD/@ID"/>
			</xsl:apply-templates>
		</script>
	</xsl:template>

	<xsl:template match="CONTROL[@TYPE='INPUT']" mode="registerFields">
		<xsl:param name="card"/>
		forum.registerInput('<xsl:value-of select="@ID"/>','<xsl:value-of select="@JS-TITLE"/>','<xsl:value-of select="$card"/>');
	</xsl:template>

</xsl:stylesheet>