<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>
	
	<xsl:template match="SETTINGS">
		<script type="text/javascript" src="/modules/Guestbook/js/settings.js?{$version}.{$build}"></script>
		
		<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
			<xsl:call-template name="GUESTBOOK-SETTINGS-ROW">
				<xsl:with-param name="name">lifetime</xsl:with-param>
				<xsl:with-param name="require">true</xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="GUESTBOOK-SETTINGS-ROW">
				<xsl:with-param name="name">pagelimit</xsl:with-param>
				<xsl:with-param name="require">true</xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="GUESTBOOK-SETTINGS-ROW">
				<xsl:with-param name="name">showEmail</xsl:with-param>
			</xsl:call-template>
		</table>
		
		<div style="width: 0; height: 5px;"><span></span></div>
		
		<xsl:call-template name="LABEL" mode="label">
			<xsl:with-param name="title" select="/SITEBUILDER-PAGE/LOCALE/TEXT-BEFORE-MODULE"/>
		</xsl:call-template><br/>
		<xsl:apply-templates select="WYSIWYG" />
		
		<input type="hidden" id="GuestbookSettings" name="GuestbookSettings" value="0"/>	
	</xsl:template>
	
	
	<xsl:template name="GUESTBOOK-SETTINGS-ROW" mode="control">
		<xsl:param name="name"/>
		<xsl:param name="onchange">self.sbApplyChangesObject.registerChange();</xsl:param>
		<xsl:param name="require"/>
		
		<tr>
			<td class="title-block">
				<xsl:apply-templates select="CONTROL[@NAME=$name]" mode="label">
					<xsl:with-param name="require" select="$require"/>
				</xsl:apply-templates>
			</td>
			<td class="input-block">
				<xsl:apply-templates select="CONTROL[@NAME=$name]" mode="control">
					<xsl:with-param name="onchange" select="$onchange"/>
					<xsl:with-param name="require" select="$require"/>
				</xsl:apply-templates>
			</td>
		</tr>
	</xsl:template>

</xsl:stylesheet>