<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>

	<xsl:template match="ONLINE-STATUS-INDICATOR">
		<script src='/js/util.js?{$version}.{$build}' type='text/javascript'></script>
		<script src='/modules/OnlineStatusIndicator/js/providers.js?{$version}.{$build}' type='text/javascript'></script>
		<table border="0" style="width: 100%;">
			<tr>
				<td valign="top" style="padding: 5px 10px 5px 10px;">
					<xsl:apply-templates select="PROVIDERS-LIST"/>
				</td>
			</tr>
			<tr>
				<td valign="top" style="padding: 5px 10px 5px 10px;">
					<xsl:apply-templates select="PROVIDER-FORMS-LIST"/>
				</td>
			</tr>
			<tr>
				<td valign="top" style="padding: 5px 10px 5px 10px;">
					<xsl:apply-templates select="PREVIEW"/>
				</td>
			</tr>
			<tr>
				<td valign="top" style="padding: 5px 10px 5px 10px;">
					<xsl:call-template name="BLOCK-MODULE-BUTTONS">
						<xsl:with-param name="isRequiredFieldsExists">yes</xsl:with-param>
					</xsl:call-template>
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template match="ONLINE-STATUS-INDICATOR/PROVIDERS-LIST">
		<fieldset class="sb-toolbar-fieldset">
			<legend><xsl:value-of select="@TITLE"/></legend>
			<table cellpadding="0" cellspacing="0" border="0" class="control-input-title">
				<xsl:apply-templates select="SERVICE-PROVIDER"/>
			</table>
		</fieldset>
	</xsl:template>

	<xsl:template match="ONLINE-STATUS-INDICATOR/PROVIDERS-LIST/SERVICE-PROVIDER">
		<tr>
			<td class="input-block">
				<xsl:call-template name="RADIO" mode="control">
					<xsl:with-param name="checked">
						<xsl:if test="@CHECKED = 1">true</xsl:if>
					</xsl:with-param>
					<xsl:with-param name="id" select="@NAME"/>
					<xsl:with-param name="name" select="../@NAME"/>
					<xsl:with-param name="onclick">refreshProvidersForm(this); return true;</xsl:with-param>
					<xsl:with-param name="value" select="@NAME"/>
				</xsl:call-template>
			</td>
			<td class="title-block">
				<xsl:call-template name="LABEL" mode="label">
					<xsl:with-param name="id" select="@NAME"></xsl:with-param>
					<xsl:with-param name="title" select="."></xsl:with-param>
				</xsl:call-template>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="ONLINE-STATUS-INDICATOR/PROVIDER-FORMS-LIST">
		<xsl:apply-templates select="SERVICE-PROVIDER"/>
		<script type="text/javascript" language="javascript">
			<xsl:comment>
				self.sbEditorObject.addOnSubmitEvent(onSubmitProvidersForm);
			//</xsl:comment>
		</script>
	</xsl:template>

	<xsl:template name="INIT-PROVIDER-FORM">
		<xsl:attribute name="style">width: 100%; display: <xsl:choose>
				<xsl:when test="../../PROVIDERS-LIST/SERVICE-PROVIDER[@NAME=current()/@NAME]/@CHECKED = 1">block</xsl:when>
				<xsl:otherwise>none</xsl:otherwise>
			</xsl:choose>;</xsl:attribute>
		<xsl:attribute name="id"><xsl:value-of select="@NAME"/>Form</xsl:attribute>
	</xsl:template>

	<xsl:template match="ONLINE-STATUS-INDICATOR/PROVIDER-FORMS-LIST/SERVICE-PROVIDER[@NAME='icq']">
		<div>
			<xsl:call-template name="INIT-PROVIDER-FORM"/>
			<fieldset class="sb-toolbar-fieldset">
				<legend><xsl:value-of select="@TITLE"/></legend>
				<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
					<tr>
						<td class="title-block"><xsl:apply-templates select="CONTROL[@NAME='icqUin']" mode="label"/></td>
						<td class="input-block">
							<xsl:apply-templates select="CONTROL[@NAME='icqUin']" mode="control">
								<xsl:with-param name="maxlength">15</xsl:with-param>
								<xsl:with-param name="onchange">refreshPreviewForm();</xsl:with-param>
							</xsl:apply-templates>
						</td>
					</tr>
					<tr>
						<td class="title-block"><xsl:apply-templates select="CONTROL[@NAME='icqIcon']" mode="label"/></td>
						<td class="input-block">
							<xsl:apply-templates select="CONTROL[@NAME='icqIcon']" mode="control">
								<xsl:with-param name="onchange">refreshPreviewForm();</xsl:with-param>
							</xsl:apply-templates>
						</td>
					</tr>
				</table>
			</fieldset>
		</div>
	</xsl:template>

	<xsl:template match="ONLINE-STATUS-INDICATOR/PROVIDER-FORMS-LIST/SERVICE-PROVIDER[@NAME='skype']">
		<div>
			<xsl:call-template name="INIT-PROVIDER-FORM"/>
			<fieldset class="sb-toolbar-fieldset">
				<legend><xsl:value-of select="@TITLE"/></legend>
				<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
					<tr>
						<td class="title-block"><xsl:apply-templates select="CONTROL[@NAME='skypeName']" mode="label"/></td>
						<td class="input-block">
							<xsl:apply-templates select="CONTROL[@NAME='skypeName']" mode="control">
								<xsl:with-param name="onchange">refreshPreviewForm();</xsl:with-param>
							</xsl:apply-templates>
						</td>
					</tr>
					<tr>
						<td class="title-block"><xsl:apply-templates select="CONTROL[@NAME='skypeIcon']" mode="label"/></td>
						<td class="input-block">
							<xsl:apply-templates select="CONTROL[@NAME='skypeIcon']" mode="control">
								<xsl:with-param name="onchange">refreshPreviewForm();</xsl:with-param>
							</xsl:apply-templates>
						</td>
					</tr>
					<tr>
						<td class="title-block"><xsl:apply-templates select="CONTROL[@NAME='skypeCallByClick']" mode="label"/></td>
						<td class="input-block">
							<xsl:apply-templates select="CONTROL[@NAME='skypeCallByClick']" mode="control">
								<xsl:with-param name="onchange">refreshPreviewForm();</xsl:with-param>
							</xsl:apply-templates>
						</td>
					</tr>
				</table>
			</fieldset>
		</div>
	</xsl:template>

	<xsl:template match="ONLINE-STATUS-INDICATOR/PREVIEW">
		<fieldset class="sb-toolbar-fieldset">
			<legend><xsl:value-of select="@TITLE"/></legend>
			<table border="0" style="width: 100%;">
				<tr><td>
					<div id="OnlineStatusIndicatorContainer" align="center">
					</div>
					<script type="text/javascript" language="javascript">
						refreshPreviewForm();
					</script>
				</td></tr>
			</table>
		</fieldset>
	</xsl:template>

</xsl:stylesheet>